:root {
    --carousel-font-size: 3vw;
    --carousel-large-font-size: 4vw;
    --carousel-text-color: var(--back-color);
}

.slideshow-container {
    max-width: 60%;
    position: relative;
    margin: auto;
    cursor: pointer;
    margin-top: 8rem;
}

.mySlides {
    display: none;
}

/* Caption text */
.carousel-bottom-text,
.carousel-top-text {
    color: var(--carousel-text-color);
    font-weight: var(--bolder-font);
    padding: 8px 12px;
    position: absolute;
    width: 100%;
}

.carousel-top-text {
    top: 8px;
    text-align: left;
    font-size: var(--carousel-large-font-size);
}

.carousel-bottom-text {
    bottom: 8px;
    text-align: right;
    font-size: var(--carousel-font-size);
}

/* The dots/bullets/indicators */
.dot {
    height: 1.5vw;
    width: 1.5vw;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
    cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.carousel-active {
    background-color: #717171;
}

/* Fading animation */
.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {
        opacity: 0.4;
    }
    to {
        opacity: 1;
    }
}
